Package ghidra.framework.data

# Class DBDomainObjectSupport

java.lang.Object
ghidra.framework.data.DomainObjectAdapter
ghidra.framework.data.DomainObjectAdapterDB
ghidra.framework.data.DBDomainObjectSupport

All Implemented Interfaces:
  `ErrorHandler`, `DomainObject`

Direct Known Subclasses:
  `DBCachedDomainObjectAdapter`

public abstract class DBDomainObjectSupport extends DomainObjectAdapterDB

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static interface`
  `DBDomainObjectSupport.ManagerSupplier<T>`

- ## Field Summary

  ### Fields inherited from class ghidra.framework.data.DomainObjectAdapterDB

  `changeSet, dbh, NUM_UNDOS, options`

  ### Fields inherited from class ghidra.framework.data.DomainObjectAdapter

  `changed, changeSupportMap, DEFAULT_NAME, lock, metadata, name, temporary`

  ### Fields inherited from interface ghidra.framework.model.DomainObject

  `DO_DOMAIN_FILE_CHANGED, DO_OBJECT_CLOSED, DO_OBJECT_ERROR, DO_OBJECT_RENAMED, DO_OBJECT_RESTORED, DO_OBJECT_SAVED, DO_PROPERTY_CHANGED, undoLock`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DBDomainObjectSupport(DBHandle dbh, OpenMode openMode, TaskMonitor monitor, String name, int timeInterval, int bufSize, Object consumer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <T> T`
  `createManager(String managerName, DBDomainObjectSupport.ManagerSupplier<T> supplier)`
  `protected void`
  `finishedCreatingManagers()`
  `void`
  `init()`

  ### Methods inherited from class ghidra.framework.data.DomainObjectAdapterDB

  `addSynchronizedDomainObject, addTransactionListener, canLock, canRedo, canSave, canUndo, clearCache, clearUndo, clearUndo, close, dbError, domainObjectRestored, endTransaction, flushWriteCache, forceLock, getAllRedoNames, getAllUndoNames, getChangeSet, getCurrentTransactionInfo, getDBHandle, getOptions, getOptionsNames, getRedoName, getSynchronizedDomainObjects, getUndoName, getUndoStackDepth, getUserData, hasTerminatedTransaction, invalidate, invalidateWriteCache, isChanged, isClosed, isLocked, loadMetadata, lock, openTransaction, performPropertyListAlterations, propertyChanged, redo, releaseSynchronizedDomainObject, removeTransactionListener, save, saveMetadata, saveToPackedFile, setChanged, setImmutable, startTransaction, startTransaction, undo, unlock, updateMetadata`

  ### Methods inherited from class ghidra.framework.data.DomainObjectAdapter

  `addCloseListener, addConsumer, addDomainFileListener, addListener, checkExclusiveAccess, createPrivateEventQueue, fatalErrorOccurred, fireEvent, flushEvents, flushPrivateEventQueue, getAssociatedUserFilesystem, getChangeStatus, getConsumerList, getContentHandler, getContentHandler, getContentHandler, getContentHandlers, getDescription, getDomainFile, getLock, getMetadata, getModificationNumber, getName, hasExclusiveAccess, isSendingEvents, isTemporary, isUsedBy, release, removeCloseListener, removeDomainFileListener, removeListener, removePrivateEventQueue, setDomainFile, setEventsEnabled, setName, setTemporary, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.model.DomainObject

  `isChangeable, withTransaction, withTransaction`

- ## Constructor Details

  - ### DBDomainObjectSupport

    protected DBDomainObjectSupport(DBHandle dbh, OpenMode openMode, TaskMonitor monitor, String name, int timeInterval, int bufSize, Object consumer)

- ## Method Details

  - ### init

    public void init() throws CancelledException, IOException, VersionException, ServiceConstructionException
    Throws:
      `CancelledException`
      `IOException`
      `VersionException`
      `ServiceConstructionException`

  - ### finishedCreatingManagers

    protected void finishedCreatingManagers()

  - ### createManager

    protected <T> T createManager(String managerName, DBDomainObjectSupport.ManagerSupplier<T> supplier) throws CancelledException, IOException
    Throws:
      `CancelledException`
      `IOException`